extend("wv:vision");
loadTextures({
    "layer1": "wv:vision/vision_sword_layer1",
    "layer2": "wv:vision/vision_sword_layer2",
    "cape": "wv:vision/vision_sword_cape",
    "stone": "wv:vision/vision_sword_stone",
    "lights": "wv:vision/vision_sword_lights"
});

function init(renderer) {
    parent.init(renderer);
    renderer.setLights((entity, renderLayer) => renderLayer === "HELMET" ? "lights" : null);
}

function getBeamColor() {
    return 0x40E7F9;
}
